com.ibm.openpages.api.resource

## Class GRCObjectFilter

- java.lang.Object
- - com.ibm.openpages.api.resource.GRCObjectFilter

-     public class GRCObjectFilter
      extends java.lang.Object

  Filtering class for GRCObject.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GRCObjectFilter()` Constructor- Creates the GRCObjectFilter with default values.
    `GRCObjectFilter(IReportingPeriod reportingPeriod)` Constructor- Creates the GRCObjectFilter with the reporting period.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssociationFilter` | `getAssociationFilter()` Returns the association filter.
    `boolean` | `getEvaluateComputedFields()` Returns whether computed fields are evaluated
    `java.util.Set<IFieldDefinition>` | `getFieldFilters()` Returns a unique list of field definition used as filters.
    `boolean` | `getIncludeActiveWorkflows()` Returns whether ids of active workflows are included
    `boolean` | `getIncludeCalcStatus()` Returns whether to include calculation status.
    `boolean` | `getIncludeOrphanField()` Returns whether orphan fields are included
    `IReportingPeriod` | `getReportingPeriod()` Returns the reporting period label.
    `void` | `setEvaluateComputedFields(boolean evalComputedFields)` Sets whether to evaluate computed fields
    `void` | `setFieldFilters(IFieldDefinition... fieldDefinitions)` Sets the list field filters to include.
    `void` | `setIncludeActiveWorkflows(boolean includeActiveWorkflows)` Sets whether to return ids of active workflows the resource is associated with.
    `void` | `setIncludeCalcStatus(boolean includeCalcStatus)` Sets whether to include calculation status.
    `void` | `setIncludeOrphanFields(boolean includeOrphanFields)` Sets whether to return orphan fields.
    `void` | `setReportingPeriod(IReportingPeriod reportingPeriod)` Sets the reporting period.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GRCObjectFilter

          public GRCObjectFilter()

      Constructor- Creates the GRCObjectFilter with default values.

    - #### GRCObjectFilter

          public GRCObjectFilter(IReportingPeriod reportingPeriod)

      Constructor- Creates the GRCObjectFilter with the reporting period.

  - ### Method Detail

    - #### getIncludeOrphanField

          public boolean getIncludeOrphanField()

      Returns whether orphan fields are included
      Returns:
        the true if orphan fields will be included.

    - #### setIncludeOrphanFields

          public void setIncludeOrphanFields(boolean includeOrphanFields)

      Sets whether to return orphan fields.
      Parameters:
        `includeOrphanFields` - true to return orphan fields. Default is false.

    - #### getIncludeActiveWorkflows

          public boolean getIncludeActiveWorkflows()

      Returns whether ids of active workflows are included
      Returns:
        the true if active workflows will be included.

    - #### setIncludeActiveWorkflows

          public void setIncludeActiveWorkflows(boolean includeActiveWorkflows)

      Sets whether to return ids of active workflows the resource is associated with.
      Parameters:
        `includeActiveWorkflows` - true to return active workflows. Default is false.

    - #### getIncludeCalcStatus

          public boolean getIncludeCalcStatus()

      Returns whether to include calculation status.
      Returns:
      Since:
        8.2

    - #### setIncludeCalcStatus

          public void setIncludeCalcStatus(boolean includeCalcStatus)

      Sets whether to include calculation status.
      Parameters:
        `includeCalcStatus` -
      Since:
        8.2

    - #### getEvaluateComputedFields

          public boolean getEvaluateComputedFields()

      Returns whether computed fields are evaluated
      Returns:
        true if the computed fields are evaluated

    - #### setEvaluateComputedFields

          public void setEvaluateComputedFields(boolean evalComputedFields)

      Sets whether to evaluate computed fields
      Parameters:
        `evalComputedFields` - true to evaluate computed fields. Default is false.

    - #### getReportingPeriod

          public IReportingPeriod getReportingPeriod()

      Returns the reporting period label.
      Returns:
        the reporting period label. If current reporting period, the label is null; otherwise, it contains the label of reporting period. By default, this value is set to null.

    - #### setReportingPeriod

          public void setReportingPeriod(IReportingPeriod reportingPeriod)

      Sets the reporting period.
      Parameters:
        `reportingPeriod` - the reporting period to use

    - #### getFieldFilters

          public java.util.Set<IFieldDefinition> getFieldFilters()

      Returns a unique list of field definition used as filters.
      Returns:
        a unique list of field definition used as filters. An empty list of field filters indicate that all fields will be included.

    - #### setFieldFilters

          public void setFieldFilters(IFieldDefinition... fieldDefinitions)

      Sets the list field filters to include. Field filters are field system names.
      Parameters:
        `fieldNames` - one or more field system name to include

    - #### getAssociationFilter

          public AssociationFilter getAssociationFilter()

      Returns the association filter.
      Returns:
        the association filter

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.